Subject: Re: caps lock fault
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 7 Sep 2000 00:44:48 -0400

On Thu, Sep 07, 2000 at 05:37:55AM +0100, Keith Fielding wrote:
>On my W95 system, I have a problem with the caps lock which behaves as a
>shift lock. (The numeric keys are all shifted as well as the alpha
>keys). While I have seen mention of this in the archives, I have not
>found any solution there (other than the fact that does not seem to
>affect NT based systems).
>
>I wrote a short test program:
>
>#include <stdio.h>
>
>int main (void)
>{
>  char buffer[80];
>
>  gets (buffer);
>  puts (buffer);
>  return 0;
>}
>
>When I compile this (gcc -o mytest mytest.c) it exhibits the problem
>whether I run it in bash window or an MS-DOS window. When I compile it
>with the -mno-cygwin switch it works correctly when run from an MS-DOS
>window but from a bash window it simply advances two lines and returns
>to the bash prompt! The behaviour is unchanged if I replace the call to
>gets with a call to fgets.
>
>I then tried this program:
>
>#include <conio.h>
>#include <stdio.h>
>
>int main (void)
>{
>  int ch;
>
>  do {
>    ch = getch ();
>    printf ("%c\n", ch);
>  } while (ch != 'q');
>  return 0;
>}
>
>This can only be compiled with the -mno-cygwin switch because of the
>conio header. It displays the fault whether I run it in a bash window or
>an MS-DOS window.
>
>Any ideas?

Sure.  Submit a patch to correct this behavior.  This is an open source
project and patches are always welcome.

fhandler_console.cc contains the code that is likely to be causing this
behavior.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]